## readability 0.1.1

=== DESCRIPTION ===
Package: readability
Title: Calculate Readability Scores
Version: 0.1.1
Authors@R: c(person("Tyler", "Rinker", email =
        "tyler.rinker@gmail.com", role = c("aut", "cre")))
Maintainer: Tyler Rinker <tyler.rinker@gmail.com>
Description: Calculate readability scores by grouping variables.  Readability is
        an approximation of the ease with which a reader parses and comprehends a
        written text.  These scores use text attributes such as syllable counts,
        number of words, and number of characters to calculate an approximate
        grade level reading ease for the text.  The readability scores that are
        calculated include: Flesch Kincaid, Gunning Fog Index, Coleman Liau,
        SMOG, and Automated Readability Index.
Depends: R (>= 3.2.1)
Imports: data.table (>= 1.9.6), ggplot2, stats, syllable, tidyr
Suggests: testthat
Date: 2017-01-20
License: GPL-2
LazyData: TRUE
RoxygenNote: 5.0.1
BugReports: https://github.com/trinker/readability/issues?state=open
URL: https://github.com/trinker/readability
NeedsCompilation: no
Packaged: 2017-01-21 23:39:45 UTC; Tyler
Author: Tyler Rinker [aut, cre]
Repository: CRAN
Date/Publication: 2017-01-22 12:38:43

## readability 0.8.1%2Bdfsg1

=== debian/control ===
Source: readability
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-chardet,
               python3-cssselect,
               python3-lxml,
               python3-setuptools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/buriy/python-readability
Vcs-Git: https://salsa.debian.org/python-team/packages/readability.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/readability

Package: python3-readability
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pulls the main body of HTML document and cleans it up
 Given an HTML document, it pulls out the main body text and cleans it up.
 The module extract the main content of an HTML document, separating meaningful
 content pertaining the subject from cruft like navigation links, ads,
 footnotes and sidebar content.
 This Python module is based off the arc90 ruby readability project.

## readability 0.8.1+dfsg1

=== Makefile ===
# Makefile to help automate tasks
WD := $(shell pwd)
PY := .venv/bin/python
PIP := .venv/bin/pip
PEP8 := .venv/bin/pep8
NOSE := .venv/bin/nosetests
TWINE := twine

# ###########
# Tests rule!
# ###########
.PHONY: test
test: venv develop $(NOSE)
	$(NOSE) --with-id -s tests

$(NOSE): setup

# #######
# INSTALL
# #######
.PHONY: all
all: setup develop

venv: .venv/bin/python

setup: venv
	$(PIP) install -r requirements-dev.txt

.venv/bin/python:
	virtualenv .venv

.PHONY: clean
clean:
	rm -rf .venv

develop: .venv/lib/python*/site-packages/readability-lxml.egg-link

.venv/lib/python*/site-packages/readability-lxml.egg-link:
	$(PY) setup.py develop


# ###########
# Development
# ###########
.PHONY: clean_all
clean_all: clean_venv


# ###########
# Deploy
# ###########
.PHONY: dist
dist:
	$(PY) setup.py sdist bdist_wheel
	$(TWINE) check dist/*

.PHONY: upload
upload:
	$(TWINE) upload dist/*

.PHONY: version_update
version_update:
	$(EDITOR) setup.py

=== debian/changelog ===
readability (0.8.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Add (build-)dependency on python3-lxml-html-clean (closes: #1069756).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 16:39:16 +0100

readability (0.8.1+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:55:33 +0100

readability (0.8.1+dfsg1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 19 Oct 2020 19:32:27 +0000

readability (0.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Removed aptly in salsa-ci.yml
  * d/copyright: update years for upstream author

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 16 Jul 2020 10:35:51 +0000

readability (0.6.1+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #962150)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 03 Jun 2020 18:02:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python3-chardet,
                python3-cssselect,
                python3-lxml,
+               python3-lxml-html-clean,
                python3-setuptools
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## readability 0.8.4.1%2Bdfsg1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PIP := .venv/bin/pip
 PEP8 := .venv/bin/pep8
 NOSE := .venv/bin/nosetests
-TWINE := twine
+TWINE := .venv/bin/twine
 
 # ###########
 # Tests rule!
@@ -24,10 +24,10 @@
 venv: .venv/bin/python
 
 setup: venv
-	$(PIP) install -r requirements-dev.txt
+	$(PIP) install -r requirements-dev.txt | grep -v "already satisfied" || true
 
 .venv/bin/python:
-	virtualenv .venv
+	test -d .venv || which python3 && python3 -m venv .venv || virtualenv .venv
 
 .PHONY: clean
 clean:
@@ -45,12 +45,16 @@
 .PHONY: clean_all
 clean_all: clean_venv
 
+.PHONY: build
+build:
+	poetry build
 
 # ###########
 # Deploy
 # ###########
 .PHONY: dist
 dist:
+	$(PY) -m pip install wheel
 	$(PY) setup.py sdist bdist_wheel
 	$(TWINE) check dist/*
 
@@ -58,6 +62,12 @@
 upload:
 	$(TWINE) upload dist/*
 
-.PHONY: version_update
-version_update:
-	$(EDITOR) setup.py
+.PHONY: bump
+bump:
+	$(EDITOR) readability/__init__.py
+	$(eval VERSION := $(shell grep "__version__" readability/__init__.py | cut -d'"' -f2))
+	# fix first occurrence of version in pyproject.toml
+	sed -i '0,/version = ".*"/s//version = "$(VERSION)"/' pyproject.toml
+	git commit -m "Bump version to $(VERSION)" pyproject.toml readability/__init__.py
+	git tag $(VERSION)
+	git push --tags

=== debian/changelog ===
readability (0.8.4.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Sep 2025 16:14:10 +0100

## readability 0.8.4.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-chardet,
                python3-cssselect,
                python3-lxml,
                python3-lxml-html-clean,
-               python3-setuptools
-Standards-Version: 4.6.1
+               python3-poetry-core,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/buriy/python-readability
@@ -20,7 +21,7 @@
 
 Package: python3-readability
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-lxml-html-clean, ${misc:Depends}, ${python3:Depends}
 Description: Pulls the main body of HTML document and cleans it up
  Given an HTML document, it pulls out the main body text and cleans it up.
  The module extract the main content of an HTML document, separating meaningful

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/readability-$1\.tar\.gz/ \
  https://github.com/buriy/python-readability/tags .*/v?(\d\S+)\.tar\.gz
